Header (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.Header class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class Header

    java.lang.Object
      org.apache.commons.httpclient.NameValuePair
          org.apache.commons.httpclient.Header

All Implemented Interfaces:
  Serializable

    public class Header

extends NameValuePair

An HTTP header.

Version:
  $Revision: 480424 $ $Date: 2006-11-29 06:56:49 +0100 (Wed, 29 Nov 2006) $
Author:
  Remy Maucherat, Mike Bowler, Oleg Kalnichevski
See Also:
  Serialized Form

Constructor Summary
`Header()` Default constructor.
`Header(String name, String value)` Constructor with name and value
`Header(String name, String value, boolean isAutogenerated)` Constructor with name and value

Method Summary
`HeaderElement[]` | `getElements()` Returns an array of `HeaderElement`s constructed from my value.
`HeaderElement[]` | `getValues()` Deprecated. Use #getElements
`boolean` | `isAutogenerated()` Returns the value of the auto-generated header flag.
`String` | `toExternalForm()` Returns a `String` representation of the header.
`String` | `toString()` Returns a `String` representation of the header.

Methods inherited from class org.apache.commons.httpclient.NameValuePair
`equals, getName, getValue, hashCode, setName, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Header

    public Header()

  Default constructor.

### Header

    public Header(String name,
                  String value)

  Constructor with name and value

  Parameters:
    `name` - the header name
    `value` - the header value

### Header

    public Header(String name,
                  String value,
                  boolean isAutogenerated)

  Constructor with name and value

  Parameters:
    `name` - the header name
    `value` - the header value
    `isAutogenerated` - `true` if the header is autogenerated, `false` otherwise.
  Since:
    3.0

Method Detail

### toExternalForm

    public String toExternalForm()

  Returns a `String` representation of the header.

  Returns:
    stringHEAD

### toString

    public String toString()

  Returns a `String` representation of the header.

  Overrides:
    `toString` in class `NameValuePair`
  Returns:
    stringHEAD

### getValues

    public HeaderElement[] getValues()
                              throws HttpException

  Deprecated. Use #getElements

  Returns an array of `HeaderElement`s constructed from my value.

  Returns:
    an array of header elements
  Throws:
    `HttpException` - if the header cannot be parsed
  See Also:
    `HeaderElement.parse(java.lang.String)`

### getElements

    public HeaderElement[] getElements()

  Returns an array of `HeaderElement`s constructed from my value.

  Returns:
    an array of header elements
  Since:
    3.0
  See Also:
    `HeaderElement.parseElements(String)`

### isAutogenerated

    public boolean isAutogenerated()

  Returns the value of the auto-generated header flag.

  Returns:
    `true` if the header is autogenerated, `false` otherwise.
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.